View Issue Details

IDProjectCategoryView StatusLast Update
0020647LazarusLCLpublic2015-05-09 14:18
ReporterSalahAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformIntel x86OSWindows XP SP3OS Version
Product Version0.9.30.2RC2Product Build 
Target Version1.2.8Fixed in Version 
Summary0020647: DateEdit and DateTimePicker drop-down calender does not close-up when moving the parent form.
DescriptionDateEdit and DateTimePicker drop-down calender does not close-up when moving the parent form.
TagsNo tags attached.
Fixed in Revisionr47181
LazTarget1.2.8
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0014058 resolvedJuha Manninen TDateEdit: dropdown calendar doesn't close when I click outside it 

Activities

2011-11-08 10:32

 

DateEdit.JPG (18,026 bytes)
DateEdit.JPG (18,026 bytes)

Zeljan Rikalo

2012-02-27 20:04

developer   ~0057134

Seem that calendar popup doesn't get deactivate when titlebar is pressed.

Bart Broersma

2014-12-12 00:40

developer   ~0079755

Seems to be fixed in the mean time.
Tested with Lazarus 1.3 r47075 FPC 2.6.4 i386-win32-win32/win64.
Please re-open if the issue is still present, otherwise close.

Janusz Tomczak

2014-12-12 11:14

reporter  

81.png (10,101 bytes)
81.png (10,101 bytes)

Janusz Tomczak

2014-12-12 11:15

reporter   ~0079758

Last edited: 2014-12-12 11:17

View 2 revisions

The problem still exists. Windows 8.1.
Lazarus 1.3 r47175 FPC 2.6.4 i386-win32-win32/win64.

Calendar does not close when moving the Form1 (please see the picture).

Bart Broersma

2014-12-12 12:19

developer   ~0079761

I see.
Just clicking on the titlebar makes the calendar disappear, but when you click-and-then-drag the titlebar, the calendar stays visible until you release the mousebutton.

Zeljan Rikalo

2014-12-12 13:21

developer   ~0079762

So active state of calendar form isn't changed or it does not pass windows message to the lcl.

Bart Broersma

2014-12-12 13:30

developer   ~0079763

CalendarPopup now immediatley hides on deactivate.
Please test and close if OK.

Issue History

Date Modified Username Field Change
2011-11-08 10:32 Salah New Issue
2011-11-08 10:32 Salah File Added: DateEdit.JPG
2011-11-08 10:32 Salah Widgetset => Win32/Win64
2011-11-10 06:54 Juha Manninen Relationship added related to 0014058
2012-02-27 20:04 Zeljan Rikalo Note Added: 0057134
2012-03-13 08:39 Zeljan Rikalo LazTarget => 1.2
2012-03-13 08:39 Zeljan Rikalo Status new => acknowledged
2012-03-13 08:39 Zeljan Rikalo Target Version => 1.2.0
2014-01-14 15:10 Martin Friebe LazTarget 1.2 => 1.4
2014-01-14 15:12 Martin Friebe Target Version 1.2.0 => 1.4
2014-09-10 10:04 Juha Manninen LazTarget 1.4 => -
2014-09-10 10:04 Juha Manninen Target Version 1.4 =>
2014-09-10 10:04 Juha Manninen Summary DateEdit and ZVDateTimePicker drop-down calender does not close-up when moving the parent form. => DateEdit and DateTimePicker drop-down calender does not close-up when moving the parent form.
2014-09-10 10:04 Juha Manninen Description Updated View Revisions
2014-12-12 00:40 Bart Broersma Note Added: 0079755
2014-12-12 00:40 Bart Broersma Status acknowledged => resolved
2014-12-12 00:40 Bart Broersma Resolution open => fixed
2014-12-12 00:40 Bart Broersma Assigned To => Bart Broersma
2014-12-12 11:14 Janusz Tomczak File Added: 81.png
2014-12-12 11:15 Janusz Tomczak Note Added: 0079758
2014-12-12 11:17 Janusz Tomczak Note Edited: 0079758 View Revisions
2014-12-12 12:19 Bart Broersma Note Added: 0079761
2014-12-12 12:19 Bart Broersma Assigned To Bart Broersma =>
2014-12-12 12:19 Bart Broersma Status resolved => confirmed
2014-12-12 13:21 Zeljan Rikalo Note Added: 0079762
2014-12-12 13:30 Bart Broersma Fixed in Revision => r47181
2014-12-12 13:30 Bart Broersma LazTarget - => 1.2.8
2014-12-12 13:30 Bart Broersma Note Added: 0079763
2014-12-12 13:30 Bart Broersma Status confirmed => resolved
2014-12-12 13:30 Bart Broersma Assigned To => Bart Broersma
2014-12-12 13:30 Bart Broersma Target Version => 1.2.8
2015-05-09 14:18 Bart Broersma Status resolved => closed